<?php

namespace App\Controllers\Pages;

use App\Controllers\BaseController;

class SuperuserController extends BaseController
{

    public function __construct()
    {
        helper(['url', 'form', 'text']);
    }

    public function index()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('superuser/index', ['roleConfig' => $config['superuser']]);
    }

    public function users()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('superuser/users', ['roleConfig' => $config['superuser']]);
    }

    public function validatePage()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('superuser/validate', ['roleConfig' => $config['superuser']]);
    }

}
